OOjsUI Object-Oriented JavaScript – User Interface

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
OOUI\HtmlSnippet Class Reference

Wraps a HTML snippet for use with Tag::appendContent() and Tag::prependContent(). More...

## Public Member Functions
| __construct ($content)
| __toString ()
| Render into HTML. More...

## Protected Attributes
string | $content
| HTML snippet this instance represents.

## Detailed Description

Wraps a HTML snippet for use with Tag::appendContent() and Tag::prependContent().

## Constructor & Destructor Documentation

OOUI\HtmlSnippet::__construct | ( |  | $content | ) |

Parameters

  string | $content |

## Member Function Documentation

OOUI\HtmlSnippet::__toString | ( |  | ) |

Render into HTML.

Returns
  string Unchanged HTML snippet

The documentation for this class was generated from the following file:

- php/HtmlSnippet.php